require 'fltk'
require 'flvw'

#//	Demonstrate Simplest Flv_List_Child

class VListChild < Fltk::VList
  include Fltk::Drawable
    def initialize(px, py, pw, ph, l='')
	super(px,py,pw,ph,l)
    end
    
    def draw_row( offset, px, py, pw, ph, pr )
	style = Fltk::VStyle.new
	get_style(style, pr,0)
	super
	if pr < 0
	    line = ((pr == -1) ? 'Header' : 'Footer')
	else
	    line = pr.to_s
	end
	text_draw(line, px+1-offset, py-8,pw,ph-4, style.align)
    end

=begin
    def get_style(s, pr, pc=0 )
	print " : get_style \n"
	super
	#.get_style(s,pr,pc)
	print " : get_style \n"
	if (pr > -1) && ((pr%2) == 0)
	print " : get_style s.background #{pr} \n"
#	    s.background(Fltk::GRAY)
#	    s.foreground(Fltk::BLACK)
	end
    end
=end    
end

w = Fltk::Window.new( 200, 173, "Test list" )
l = VListChild.new( 10, 10, 180, 153 )
w.end()
w.resizable(l)

l.rows(20)
l.has_scrollbar(Fltk::VS_VERTICAL)
#l.row_width(200)
#l.feature(Fltk::VF_ALL_ROW | Fltk::VF_MULTI_SELECT)
l.global_style.resizable(true)
l.global_style.align(Fltk::ALIGN_CLIP)
#  l.global_style.border(Fltk::VB_RIGHT | Fltk::VB_BOTTOM)

l.callback(l){|pw,pd| print "Hi \n"}

w.show()

Fltk::run()

