# -*- ruby -*-
#

require 'fltk'
require 'fltk/canvas'

WIDTH = 400
HEIGHT = 400
win = Fltk::DoubleWindow.new(WIDTH, HEIGHT){|win|
  scroll = Fltk::Scroll.new(WIDTH,HEIGHT)
  canvas = Fltk::Canvas.new(WIDTH * 2,HEIGHT * 2)
  canvas.scroll = scroll

  Fltk::Canvas::Line.new(canvas, [[10,10], [200,200]], Fltk::SOLID, 2)
  Fltk::Canvas::CLine.new(canvas, [[10,10], [200,200]], Fltk::SOLID, 2)
  Fltk::Canvas::Circle.new(canvas, 10,10,4)
  Fltk::Canvas::Rect.new(canvas, 20,20, 100,100)
  Fltk::Canvas::CRect.new(canvas, 20,20, 100,100)
  Fltk::Canvas::Polygon.new(canvas, [[20,20],[120,100],[300,300]])
  Fltk::Canvas::CPolygon.new(canvas, [[20,20],[120,100],[300,300]])
  Fltk::Canvas::Label.new(canvas, 100,100, "label")
  #Fltk::Canvas::Ellipse.new(canvas, 200,200,100,50)
}
win.resizable(win)
win.show
Fltk::run()
