require 'fltk'
require 'fltk/image'

$image,$width,$height = Fltk.load_pixmap("test/ruby.xpm")
p Fltk.measure_pixmap($image)
p [$width, $height]

class MyWidget < Fltk::Widget
  include Fltk::Drawable

  def draw
    draw_pixmap($image,30,30)
  end
end

Fltk::Window.new(0,0,400,400){|window|
  b = Fltk::Button.new(200,200,200,200)
  xpm = Fltk::Pixmap.new($image)
  xpm.label(b)

  m = MyWidget.new(0,0,200,200)

  window.show
}

Fltk.run
